/* sqtpr.h -- Square-Figure tiling print/plot functions.
**
** Copyright (C) 2003 Eric Laroche.  All rights reserved.
**
** @author Eric Laroche <laroche@lrdev.com>
** @version @(#)$Id: sqtpr.h,v 1.3 2003/11/05 22:51:22 laroche Exp $
** @url http://www.lrdev.com/lr/c/sqfig.html
**
** This program is free software;
** you can redistribute it and/or modify it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*/


#ifndef SQTPR_H
#define SQTPR_H


/** Plot a tiling.
* Legacy version.
*/
void plotTiling(
	int const* board,
	int xDimension,
	int yDimension,
	int plotDots,
	int hatchUnassigned,
	int continuous);

/** Plot a tiling.
*/
void plotTilingX(
	int const* board,
	int xDimension,
	int yDimension,
	int plotDots,
	int hatchUnassigned,
	int continuous,
	int plotSize);

/** Plotting callback.
*/
int plotter(
	int const* tiling,
	int figures,
	int current,
	int const* board,
	int xDimension,
	int yDimension,
	void* data);


#endif

